<?php
session_start();

/*
 * 
  GPLv2 (C) <2021>  <HashCasper>

  This file is part of D2IM.

  D2IM is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  D2IM is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with D2IM.  If not, see <http://www.gnu.org/licenses/>.
 */

require_once './D2Functions.php';
require_once './D2Database.php';
require_once '../_pdo.php';

if (!empty($_POST)) {

	$modname = str_replace(' ', '', $_POST['modname']);
	$_SESSION['modname'] = $modname;

	// write the d2im.conf file and replace \ with \\
	if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
		$path = rtrim($_POST['path'], "\\");
		$path = str_replace("\\", "\\\\", $path);
		$path .= '\\\\data\\\\global\\\\excel\\\\';
		
		PDO_Connect("sqlite:../d2im.db");
		$sql = "CREATE TABLE IF NOT EXISTS d2im (
					modname VARCHAR(255),
					path VARCHAR(255)
			)";
		PDO_Execute($sql);
		
		$sql = '';
		
		if (!is_dir($path)) {
			echo '<center><h1 style="font-family:Lato; color:#880000;"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
ERROR: INVALID PATH</h1></center>';
		} else {
			$_SESSION['path'] = $path;
			// Don't yell at me, security is the least of my considerations atm
			// check modname in db
			$sql = "SELECT * FROM d2im WHERE modname='$modname'";
			$res = PDO_FetchAll($sql);
			if (empty($res)) {
				$sql = "INSERT INTO d2im(modname,path) VALUES(\"$modname\",\"$path\")";
				PDO_Execute($sql);
			}
			header("Location: /processFiles.php");
		}								
	} else {
		PDO_Connect("sqlite:../d2im.db");

		$sql = "CREATE TABLE IF NOT EXISTS d2im (
					modname VARCHAR(255),
					path VARCHAR(255)
			)";
		PDO_Execute($sql);

		$sql = '';
		$path = $_POST['path'];
		$path = rtrim($_POST['path'], "/");
		$path = $path . DIRECTORY_SEPARATOR;

		if (!is_dir($path)) {
			echo '<center><h1 style="font-family:Lato; color:#880000;"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
ERROR: INVALID PATH</h1></center>';
		} else {
			$_SESSION['path'] = $path;
			// Don't yell at me, security is the least of my considerations atm
			// check modname in db
			$sql = "SELECT * FROM d2im WHERE modname='$modname'";
			$res = PDO_FetchAll($sql);
			if (empty($res)) {
				$sql = "INSERT INTO d2im(modname,path) VALUES(\"$modname\",\"$path\")";
				PDO_Execute($sql);
			}
			header("Location: /processFiles.php");
		}
	}
}
?>
<!doctype html>
<html lang="en">
<?php
/* Require the <head> section */
require_once "head.php";
?>
    <body style="background: white;">
		<div class="center container container-top">

			<h1><img src="/img/Diablo2.png" style="float:left">D2 Item Maker, v3. By HashCasper</h1>	
			<a class="btn btn-outline-danger" style="color:red; font-size: 18px;float:right;" href="/">X</a>
			<hr style="margin: 60px;">
			<div class="offset-2 col-8">
				<h2>Select Mod folder</h2>
				<p style="font-family: lato">Example: D:\Diablo II\MODS\your-mod-name\</p>
				<p style="font-family: lato">Input path to D2 Mod Directory.</p>

				<div style="margin-top: 20px;" class="ctrl-config">
					<form enctype="multipart/form-data" style="font-family: Lato; font-size: 14pt;" action="" method="post">	
						<p>
							<label for="path">Enter Mod Name</label><br>
							<input id="path" style="width: 220px;" required="required" name="modname" type="text">
						</p>
						<p>
							<label for="path">Enter PATH </label><br>
							<input id="path" style="width: 420px;" required="required" name="path" type="text">
							<input type="submit" value="Save" name="submit" class="btn-config">
						</p>
					</form>
				</div>
			</div>
			<div id="loading" class="offset-2 col-8 alert alert-primary">			
				<p style="font-family: Lato;">After saving path, app will convert txt files to SQL database.</p>
				<p style="font-family: Lato;">This may take a few minutes depending on the size of your txt files. <br>Please be patient. Once done, app will load. <br>Each time you set a new mod path, txt files will be processed.
					<br> Every mod will be saved to ModName.db.
				</p>			
			</div>

		</div>
	</body>
</html>